.notification {
  position: fixed;
  top: 20px;
  right: auto; 
  left: 50%;
  background-color: #30914d;
  border: 1px solid #30914d;
  border-radius: 8px;
  padding: 15px 20px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
  z-index: 1000;
  max-width: 350px;

  transform: translateX(-50%) translateY(-150%);

  transition: transform 0.4s cubic-bezier(0.68, -0.55, 0.27, 1.55);
}

.notification.show {

  transform: translateX(-50%) translateY(0);
}

.notification.hidden {
  display: none;
}

.notification-content {
  display: flex;
  align-items: center;
  gap: 12px;
}

.notification-icon {
  color: white;
  font-size: 1.5rem;
}

#notification-message {
  color: white;
  font-size: 1rem;
  font-weight: 500;
}

/* Error state for notification */
.notification.error {
  border-color: #ef4444;
  background-color:#ef4444;
}

.notification.error .notification-icon {
  color: #fff;
}
